=== debian/changelog ===
gcl (2.6.2-1) unstable; urgency=low

  * gcc-3.4 support
  * Proper isnormal default courtesy of Magnus Henoch
  * gclclean makefile target and other small makefile changes
  * Proper check for C stack array body address in gbc.c and sgbc.c
  * New upstream release
  * acconfig.h update for isnormal default
  * Fix bug in setting elements (si::aset) of 0 rank arrays uncovered by
    the random tester
  * No -fomit-frame-pointer on mingw
  * Backport minimal ansi-test patches from HEAD to enable running of
    the random tester
  * installed tcl/tk patch for mingw
  * Fix banner license detection code in lsp/gcl_mislib.lsp as
    8features* entries are now keywords
  * o/makefile changes to work around trailing slash -I arguments gcc
    bug on mingw
  * Patch to mingwin.c:fix_filename to close long standing 'maxima
    ignore-errors filename corruption' bug on mingw
  * Check for too large rank supplied to make-array1
  * Fix potential stack overwrite bug in quick_call_sfun/eval.c
  * Add -mprferred-stack-boundary=8 on amd64, as constant integers used
    in a call must be retrievable with va_arg(,fixnum)
  * Revert preferred-stack-boundary option on amd64 as it does not play
    well with external libraries, also eliminate -m64 to allow for user
    settings.  Cast fixnum constant C arguments in gcl_cmploc.lsp
    explicitly to (long) to ensure they can be extracted via
    va_arg(,fixnum)
  * reenable SA_SIGINFO on amd64 to restore SGC there
  * Include elf.h in FreeBSD.h
  * Allow for elf_abi.h in FreeBSD.h
  * Add README.openbsd file
  * readme.mingw updates
  * solaris.h updates for custreloc option
  * Close possibility of malloc failure due to intervening gbc arising
    from the misordering of allocation calls
  * C_GC_OFFSET is 2 on m68k-linux
  * Add release notes, remove gcl document presumably based on dpANS for
    now
  * Fixup bad extern declaration of signals_handled in usig.c

 -- Camm Maguire <camm@enhanced.com>  Fri, 25 Jun 2004 22:43:52 +0000

gcl (2.6.1-39) unstable; urgency=high

  * Fix segfault in referencing (sgc_)type_map out of bounds which can
    occurr when C stack is below heap, as on alpha.
  * Cleanup compiler warnings on bcmp.c bzero.c and bcopy.c
  * Clean up compiler warning in file.d
  * Ensure set TLDFLAGS are used in finding DBEGIN in copnfigure.in, for
    OpenBSD

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 May 2004 21:50:03 +0000

gcl (2.6.1-38) unstable; urgency=low

  * Make *features* entries keywords -- add canonical host cpu and
    kernel-system to *features*, disable h files specific
    ADDITIONAL_FEATURES macro in main.c
  * Fix merge-pathanames bug in concatenating default and supplied
    directory lists
  * Minor pathname and *features* fixes
  * Fix recently introduced configure.in syntax bug
  * Minor patches to support big gcl images -- all page integers must be
    long ints, need stack space limits that scale with MAXPAGES at least
    to allow free_map stack array in sgc_start.  FIXME -- right now can
    handle situations where page numbers are ints, but npage*PAGESIZE is
    a long, need to handle npage >MAX_INT later.  This is to support the
    'billion cons element acl2 image' requested by a gcl user
  * Revert winnt features and debugging aids in configure.in
  * OpenBSD support, gcc warning cleanups for long page integers

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 May 2004 21:34:57 +0000

gcl (2.6.1-37) unstable; urgency=high

  * mprotect pages PROT_EXEC as CLEAR_CACHE step on amd64-linux
  * Prevent recursive malloc calls for OpenBSD error reporting
  * Push dummy 0 time for child runtime on windows to be compatible with
    other platforms for now
  * Make sure pages are mprotected PROT_EXEC for amd64 support

 -- Camm Maguire <camm@enhanced.com>  Tue, 13 Apr 2004 21:00:22 +0000

gcl (2.6.1-36) unstable; urgency=low

  * Improve optimize-maximum-pages algorithm

 -- Camm Maguire <camm@enhanced.com>  Tue,  6 Apr 2004 03:23:40 +0000

gcl (2.6.1-35) unstable; urgency=low

  * Fix sigcontext autodetection on sparc

 -- Camm Maguire <camm@enhanced.com>  Sun,  4 Apr 2004 19:26:48 +0000

gcl (2.6.1-34) unstable; urgency=low

  * Fix GNU_LD autodetection in configure.in
  * Eliminate C_INCLUDE_PATH from shell script wrapper
  * Use lisp rather than 'system touch' to make empty map file in
    compiler::link
  * fix small bug when info is passed bad second argument
  * Don't try to open map file if doesn't stat (macosx)
  * Add earlier forgotten branch patch to sfaslbfd.c for macosx
  * Backport new eval-when keyword support from 2.7 to run random tester
  * Perhormance improvement to gcl_seqlib.lsp -- no inner loop over
    bignums
  * Proper contblock/relblock determination when expanding string
    streams
  * Proper string type determination for *link-array*
  * .ini files depend on plt.h
  * plttest.c cannot depend on include.h
  * Address longstanding FIXmE in gensym, so that two strings are not
    allocated for each gensym
  * Fix rare infinite loop bug in array.c
  * Import si::info into 'user
  * , -> # as sed separator
  * Minro warning removals and fixups
  * Binary searches through ordered arrays of referred and changed
    variables for dramatic compiler performance improvement in the large
    case -- support declarations and thereby optimizations of the form
    (declare ((vector t) foo)), etc.
  * Better 'time macro
  * rebuild pcl_gaz* files
  * cleanup room report and give more space to modern large heaps
  * room report formatting
  * Properly gensymmed time macro
  * Allow for white space chars in compiled filenames
  * Autodetect and work around sbrk randomization, e.g. on Fedora 1
  * Probe for sbrk before probing for randomized sbrk
  * Openbsd changes -- maximize data seg resource if possible, avoid
    mallocing error message when allocation routines fails
  * Fix sigcontext configure tests
  * Rename loop-finish -> sloop-finish in sloop package so that sloop

