=== gmp3/debian/control ===
Source: libgmp3
Section: libs
Priority: optional
Build-Depends: m4
Maintainer: Dale Scheetz (Dwarf #1) <dwarf@polaris.net>
Standards-Version: 3.1.0.0

Package: libgmp3
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgmp2 (<<2.0.2-10)
Description: Multiprecision arithmetic library
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.
 .
 It has a rich set of functions, and the functions have a regular
 interface.
 .
 GNU MP is licensed under the GNU Library General Public Licence
 (LGPL).
 .
 The home page is; http://www.swox.com/gmp

Package: libgmp3-dev
Section: devel
Priority: optional
Architecture: any
Depends: libgmp3
Replaces: libgmp2-dev
Conflicts: libgmp2-dev
Suggests: libgmp3-doc
Description: Multiprecision arithmetic library developers tools.
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libgmp3 package.

Package: libgmp3-doc
Section: doc
Priority: optional
Architecture: all
Description: Multiprecision arithmetic library documentation and examples.
 This documentation package includes the info files containing the
 documentation on the interfaces provided by the gmp libraries in the 
 libgmp3 package as well as example code segments and additional docs 
 for using the libgmp3-dev package to compile code linked to libgmp3.
